package cn.com.poc.covenant.service;

import cn.com.poc.covenant.model.BizExtractionKeyInfoConfigModel;
import cn.com.yict.framemax.core.service.BaseService;
import cn.com.yict.framemax.data.model.PagingInfo;

import java.util.Collection;
import java.util.List;

public interface BizExtractionKeyInfoConfigService extends BaseService {

    BizExtractionKeyInfoConfigModel get(Integer id) throws Exception;
    
    List<BizExtractionKeyInfoConfigModel> findByExample(BizExtractionKeyInfoConfigModel example,PagingInfo pagingInfo) ;
    
    void delete(BizExtractionKeyInfoConfigModel model) throws Exception;
    
    void deleteById(Integer id) throws Exception;
    
    void deleteAll(Collection<Integer> ids) throws Exception;
    
    BizExtractionKeyInfoConfigModel save(BizExtractionKeyInfoConfigModel model) throws Exception;
    
    Collection<BizExtractionKeyInfoConfigModel> saveAll(Collection<BizExtractionKeyInfoConfigModel> models) throws Exception;
    
}